Subject: [apps-discuss] Two new Internet Drafts (Independent Submissions)

From: Neng Geng Huang <[email-masked]>
Date: Sat, 7 Dec 2013 21:24:59 +0800

Hello, everybody:

I sent a post to this mailing list but didn't get it posted, I think. So I
post it
   again as following. Sorry for the inconvenience if you received two
duplicate
   posts.

I have submitted two Internet Drafts as Independent Submissions as follows:

Filename:        draft-huangng-utid
Revision:        01
Title:           Universally Traceable Identifier (UTID)
Creation date:   2013-12-02
Group:           Individual Submission
Number of pages: 21
Htmlized:        http://tools.ietf.org/html/draft-huangng-utid-01

Abstract:
   A Universally Traceable Identifier (UTID) is a compact string of
   characters for identifying an abstract or physical object. A unique
   feature of UTID is that it contains two types of forwarding messages
   to achieve traceability. UTIDs are designed specially for Identifier
   Tracing Protocol (ITDP) [I-D-IDTP].

   This document defines the generic syntax of UTID, a generative
   grammar for UTID, and the guidelines for their use, too.

Filename:        draft-huangng-idtp
Revision:        01
Title:           Identifier Tracing Protocol (IDTP)
Creation date:   2013-12-02
Group:           Individual Submission
Number of pages: 38
Htmlized:        http://tools.ietf.org/html/draft-huangng-idtp-01

Abstract:
   The Identifier Tracing Protocol (IDTP) is an application-level
   protocol for distributed and collaborative information systems. It
   is a generic communication protocol which can be used for many tasks
   with two types of forwarding mechanisms to achieve traceability by
   using Universal Traceable Identifier (UTID) [I-D-UTID] which
   contains two types of forwarding messages.

   This document provides the specification of IDTP, including syntax,
   data format, and the guidelines for their use, too.

A reference implementation, which is called "busilet", of UTID and
   IDTP has been developed as open source software and could be
   downloaded from http://sourceforge.net/projects/busilet/.

For more information, please visit:
   http://www.utid.org/

http://www.codeproject.com/Articles/669577/IDTP-An-Innovative-Communication-Protocol

Comments and suggestions are welcome.

Cheers

Huang

-- 
------------------------------
Mr. Huang Neng Geng
------------------------------
Associate Professor
School of the Internet of Things
Wuxi Institute of Technology
Wuxi, Jiangsu, China, 214121
Mobile: 86-13921501950
email: [email-masked]